# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_DataMapIteratorOfDataMapOfStringHArray1OfReal Class Reference

`#include <TDataStd_DataMapIteratorOfDataMapOfStringHArray1OfReal.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDataStd_DataMapIteratorOfDataMapOfStringHArray1OfReal ()
Standard_EXPORT | TDataStd_DataMapIteratorOfDataMapOfStringHArray1OfReal (const TDataStd_DataMapOfStringHArray1OfReal &aMap)
Standard_EXPORT void | Initialize (const TDataStd_DataMapOfStringHArray1OfReal &aMap)
Standard_EXPORT const TCollection_ExtendedString & | Key () const
Standard_EXPORT const Handle_TColStd_HArray1OfReal & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_DataMapIteratorOfDataMapOfStringHArray1OfReal::TDataStd_DataMapIteratorOfDataMapOfStringHArray1OfReal | ( |  | ) |

Standard_EXPORT TDataStd_DataMapIteratorOfDataMapOfStringHArray1OfReal::TDataStd_DataMapIteratorOfDataMapOfStringHArray1OfReal | ( | const TDataStd_DataMapOfStringHArray1OfReal & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void TDataStd_DataMapIteratorOfDataMapOfStringHArray1OfReal::Initialize | ( | const TDataStd_DataMapOfStringHArray1OfReal & | aMap | ) |

Standard_EXPORT const TCollection_ExtendedString& TDataStd_DataMapIteratorOfDataMapOfStringHArray1OfReal::Key | ( |  | ) | const

void TDataStd_DataMapIteratorOfDataMapOfStringHArray1OfReal::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDataStd_DataMapIteratorOfDataMapOfStringHArray1OfReal::operator new | ( | size_t | size | ) | `[inline]`

void* TDataStd_DataMapIteratorOfDataMapOfStringHArray1OfReal::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_TColStd_HArray1OfReal& TDataStd_DataMapIteratorOfDataMapOfStringHArray1OfReal::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- TDataStd_DataMapIteratorOfDataMapOfStringHArray1OfReal.hxx